"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigInfoPDA = getConfigInfoPDA;
exports.getBondingCurvePDA = getBondingCurvePDA;
exports.getBoughtTokenPDA = getBoughtTokenPDA;
exports.getReferralInfoPDA = getReferralInfoPDA;
/* eslint-disable @typescript-eslint/no-unsafe-call */
/* eslint-disable @typescript-eslint/no-unsafe-member-access */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/* eslint-disable @typescript-eslint/no-unsafe-return */
const web3_js_1 = require("@solana/web3.js");
const bn_js_1 = require("bn.js");
const constants_1 = require("./constants");
function getConfigInfoPDA(programId) {
    return web3_js_1.PublicKey.findProgramAddressSync([Buffer.from(constants_1.CONFIG_INFO_SEED), new bn_js_1.BN(1).toBuffer('le', 8)], programId)[0];
}
function getBondingCurvePDA(programId, mint) {
    return web3_js_1.PublicKey.findProgramAddressSync([Buffer.from(constants_1.BONDING_CURVE_SEED), mint.toBuffer()], programId)[0];
}
function getBoughtTokenPDA(programId, mint, owner) {
    return web3_js_1.PublicKey.findProgramAddressSync([mint.toBuffer(), owner.toBuffer()], programId)[0];
}
function getReferralInfoPDA(programId, user) {
    return web3_js_1.PublicKey.findProgramAddressSync([Buffer.from(constants_1.REFERRAL_SEED), user.toBuffer()], programId)[0];
}
